import "layer92.dll"

UserSetSimv()
{
  // Сюда можно вставлять инициализацию симолов табеля.
  // Примеры инициализации 
  // в файле SCRIPT\SetSim.S

  // Можно некоторым символам нормативных рабочих дней поставить в соответствие
  // некоторое количество ночных часов:
  // AddNightHours('3',4.00);
}

User_ssc_calc(sscd, day1, day2, krabot, c)
{
  // return ssc_calc(sscd, day1, day2, krabot, c);
  double ssc=0.;
  switch(krabot)
  {
    /* несписочн.состав */  /* 05.12.94 */
    case 9:  ssc = sscd       * static_cast_to_float(day2-day1+1)/countday;      break;
    case 8:  ssc = 0.5 * sscd * static_cast_to_float(day2-day1+1)/countday;      break;
    case 7:  ssc = 0.;                                            break;
    case 6:  ssc = 0.;                                            break;
    case 5:  ssc = 0.;                                            break;
    case 4:
    {
       double koef = 0.4;
       // до 2002 года был коэффициент 0.5 
       if ( mrasch<169 ) koef=0.5;
       ssc = koef * MIN ( sscd,1. ) * static_cast_to_float(day2-day1+1)/countday; 
       break;
    }
    case 3:  ssc = 0.;                                            break;
    case 2:  ssc = MIN ( sscd,1. ) * static_cast_to_float(day2-day1+1)/countday; break;
    default: ssc = ( day2-day1 + 1 - c ) * 1. / countday;         break;
  }
  return ssc;
}
